### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Implements

`DoCheck` `OnDestroy`

### Metadata

Selector | `[eclTable]`

### Index

###### Properties
eclTableHeaders
###### Inputs
isZebra
###### Outputs
sort
###### HostBindings
class.ecl-table

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isZebra
Type : `boolean`
Default value : `false`

### Outputs

sort
Type : `EventEmitter`

### HostBindings

class.ecl-table
Type : `boolean`
Default value : `true`

### Properties

eclTableHeaders
Type : `QueryList<EclTableHeaderDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

# result-matching ""

# No results matching ""